# Class DefaultPolymorphicVariableFormats

java.lang.Object
com.snmp4j.smi.DefaultPolymorphicVariableFormats

All Implemented Interfaces:
  `PolymorphicVariableFormatterFactory`

public class DefaultPolymorphicVariableFormats extends Object implements PolymorphicVariableFormatterFactory
The `DefaultPolymorphicVariableFormats` class provides default polymorphic variable formats for common SNMP MIBs.

Since:
  2.0.0
Author:
  Frank Fock

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.snmp4j.smi.OID`
  `AGENTX_CONN_TRANSPORT_ADDRESS`
  `static final org.snmp4j.smi.OID`
  `AGENTX_CONN_TRANSPORT_DOMAIN`
  `static final org.snmp4j.smi.Integer32`
  `INET_ADDRESS_TYPE_DNS`
  `static final org.snmp4j.smi.Integer32`
  `INET_ADDRESS_TYPE_IPV4`
  `static final org.snmp4j.smi.Integer32`
  `INET_ADDRESS_TYPE_IPV4Z`
  `static final org.snmp4j.smi.Integer32`
  `INET_ADDRESS_TYPE_IPV6`
  `static final org.snmp4j.smi.Integer32`
  `INET_ADDRESS_TYPE_IPV6Z`
  `static final org.snmp4j.smi.Integer32`
  `INET_ADDRESS_TYPE_UNKNOWN`
  `static final org.snmp4j.smi.OID`
  `INET_CIDR_ROUTE_DEST`
  `static final org.snmp4j.smi.OID`
  `INET_CIDR_ROUTE_DEST_TYPE`
  `static final org.snmp4j.smi.OID`
  `INET_CIDR_ROUTE_NEXT_HOP`
  `static final org.snmp4j.smi.OID`
  `INET_CIDR_ROUTE_NEXT_HOP_TYPE`
  `static final org.snmp4j.smi.OID`
  `IP_ADDRESS_ADDR`
  `static final org.snmp4j.smi.OID`
  `IP_ADDRESS_ADDR_TYPE`
  `static final org.snmp4j.smi.OID`
  `IP_ADDRESS_PREFIX_PREFIX`
  `static final org.snmp4j.smi.OID`
  `IP_ADDRESS_PREFIX_TYPE`
  `static final org.snmp4j.smi.OID`
  `IP_DEFAULT_ROUTER_ADDRESS`
  `static final org.snmp4j.smi.OID`
  `IP_DEFAULT_ROUTER_ADDRESS_TYPE`
  `static final org.snmp4j.smi.OID`
  `IP_NET_TO_PHYSICAL_NET_ADDRESS`
  `static final org.snmp4j.smi.OID`
  `IP_NET_TO_PHYSICAL_NET_ADDRESS_TYPE`
  `static final org.snmp4j.smi.OID`
  `NLM_LOG_ENGINE_T_ADDRESS`
  `static final org.snmp4j.smi.OID`
  `NLM_LOG_ENGINE_T_DOMAIN`
  `static final org.snmp4j.smi.OID`
  `SNMP_TARGET_ADDR_T_ADDRESS`
  `static final org.snmp4j.smi.OID`
  `SNMP_TARGET_ADDR_T_DOMAIN`
  `static final org.snmp4j.smi.OID`
  `TCP_CONNECTION_LOCAL_ADDRESS`
  `static final org.snmp4j.smi.OID`
  `TCP_CONNECTION_LOCAL_ADDRESS_TYPE`
  `static final org.snmp4j.smi.OID`
  `TCP_CONNECTION_REM_ADDRESS`
  `static final org.snmp4j.smi.OID`
  `TCP_CONNECTION_REM_ADDRESS_TYPE`
  `static final org.snmp4j.smi.OID`
  `TCP_LISTENER_LOCAL_ADDRESS`
  `static final org.snmp4j.smi.OID`
  `TCP_LISTENER_LOCAL_ADDRESS_TYPE`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_LOCAL`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_SCTP_DNS`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_SCTP_IPV4`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_SCTP_IPV4Z`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_SCTP_IPV6`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_SCTP_IPV6Z`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_TCP_DNS`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_TCP_IPV4`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_TCP_IPV4Z`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_TCP_IPV6`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_TCP_IPV6Z`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_UDP_DNS`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_UDP_IPV4`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_UDP_IPV4Z`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_UDP_IPV6`
  `static final org.snmp4j.smi.OID`
  `TRANSPORT_DOMAIN_UDP_IPV6Z`
  `static final org.snmp4j.smi.OID`
  `UDP_ENDPOINT_LOCAL_ADDRESS`
  `static final org.snmp4j.smi.OID`
  `UDP_ENDPOINT_LOCAL_ADDRESS_TYPE`
  `static final org.snmp4j.smi.OID`
  `UDP_ENDPOINT_REMOTE_ADDRESS`
  `static final org.snmp4j.smi.OID`
  `UDP_ENDPOINT_REMOTE_ADDRESS_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultPolymorphicVariableFormats()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `agentxConnTransportAddress(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable formats for the AGENTX-MIB (`agentxConnTransportDomain` / `agentxConnTransportAddress`).
  `SmiSyntax`
  `getInetAddressTypeSyntax()`
  Returns the `InetAddressType` textual-convention definition (RFC 4001) that describes the values of the type-defining column registered by `registerInetAddress(OID, OID, PolymorphicVariableFormatter)`.
  `void`
  `inetCidrRouteDest(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable format for IP-FORWARD-MIB (`inetCidrRouteDestType` / `inetCidrRouteDest`).
  `void`
  `inetCidrRouteNextHop(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable format for IP-FORWARD-MIB (`inetCidrRouteNextHopType` / `inetCidrRouteNextHop`).
  `void`
  `ipAddressAddr(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable format for IP-MIB (`ipAddressAddrType` / `ipAddressAddr`).
  `void`
  `ipAddressPrefixPrefix(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable format for IP-MIB (`ipAddressPrefixType` / `ipAddressPrefixPrefix`).
  `void`
  `ipDefaultRouterAddress(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable format for IP-MIB (`ipDefaultRouterAddressType` / `ipDefaultRouterAddress`).
  `void`
  `ipNetToPhysicalNetAddress(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable format for IP-MIB (`ipNetToPhysicalNetAddressType` / `ipNetToPhysicalNetAddress`).
  `void`
  `nlmLogEngineTAddress(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable formats for the NOTIFICATION-LOG-MIB (`nlmLogEngineTDomain` / `nlmLogEngineTAddress`).
  `boolean`
  `registerFormatter(String module, PolymorphicVariableFormatter formatter)`
  Register the polymorphic variable formatter for a specific MIB module.
  `void`
  `registerInetAddress(org.snmp4j.smi.OID columnTypeOID, org.snmp4j.smi.OID variableTypeOID, PolymorphicVariableFormatter formatter)`
  Register a pair of columnar object IDs that implement the `InetAddressType` / `InetAddress` polymorphic type relationship defined by the INET-ADDRESS-MIB (RFC 4001).
  `void`
  `registerPolymorphicVariableFormatsForMIB(String module, PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable formats for a given MIB module.
  `void`
  `registerTAddress(org.snmp4j.smi.OID columnTypeOID, org.snmp4j.smi.OID variableTypeOID, PolymorphicVariableFormatter formatter)`
  `void`
  `snmpTargetAddrTAddress(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable formats for the SNMP-TARGET-MIB.
  `void`
  `tcpConnectionLocalAddress(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable format for TCP-MIB (`tcpConnectionLocalAddressType` / `tcpConnectionLocalAddress`).
  `void`
  `tcpConnectionRemAddress(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable format for TCP-MIB (`tcpConnectionRemAddressType` / `tcpConnectionRemAddress`).
  `void`
  `tcpListenerLocalAddress(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable format for TCP-MIB (`tcpListenerLocalAddressType` / `tcpListenerLocalAddress`).
  `void`
  `udpEndpointLocalAddress(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable format for UDP-MIB (`udpEndpointLocalAddressType` / `udpEndpointLocalAddress`).
  `void`
  `udpEndpointRemoteAddress(PolymorphicVariableFormatter formatter)`
  Register the default polymorphic variable format for UDP-MIB (`udpEndpointRemoteAddressType` / `udpEndpointRemoteAddress`).
  `boolean`
  `unregisterFormatter(String module, PolymorphicVariableFormatter formatter)`
  Unregister the polymorphic variable formatter for a specific MIB module.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRANSPORT_DOMAIN_UDP_IPV4

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_UDP_IPV4

  - ### TRANSPORT_DOMAIN_UDP_IPV6

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_UDP_IPV6

  - ### TRANSPORT_DOMAIN_UDP_IPV4Z

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_UDP_IPV4Z

  - ### TRANSPORT_DOMAIN_UDP_IPV6Z

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_UDP_IPV6Z

  - ### TRANSPORT_DOMAIN_TCP_IPV4

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_TCP_IPV4

  - ### TRANSPORT_DOMAIN_TCP_IPV6

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_TCP_IPV6

  - ### TRANSPORT_DOMAIN_TCP_IPV4Z

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_TCP_IPV4Z

  - ### TRANSPORT_DOMAIN_TCP_IPV6Z

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_TCP_IPV6Z

  - ### TRANSPORT_DOMAIN_SCTP_IPV4

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_SCTP_IPV4

  - ### TRANSPORT_DOMAIN_SCTP_IPV6

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_SCTP_IPV6

  - ### TRANSPORT_DOMAIN_SCTP_IPV4Z

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_SCTP_IPV4Z

  - ### TRANSPORT_DOMAIN_SCTP_IPV6Z

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_SCTP_IPV6Z

  - ### TRANSPORT_DOMAIN_LOCAL

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_LOCAL

  - ### TRANSPORT_DOMAIN_UDP_DNS

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_UDP_DNS

  - ### TRANSPORT_DOMAIN_TCP_DNS

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_TCP_DNS

  - ### TRANSPORT_DOMAIN_SCTP_DNS

    public static final org.snmp4j.smi.OID TRANSPORT_DOMAIN_SCTP_DNS

  - ### SNMP_TARGET_ADDR_T_DOMAIN

    public static final org.snmp4j.smi.OID SNMP_TARGET_ADDR_T_DOMAIN

  - ### SNMP_TARGET_ADDR_T_ADDRESS

    public static final org.snmp4j.smi.OID SNMP_TARGET_ADDR_T_ADDRESS

  - ### NLM_LOG_ENGINE_T_ADDRESS

    public static final org.snmp4j.smi.OID NLM_LOG_ENGINE_T_ADDRESS

  - ### NLM_LOG_ENGINE_T_DOMAIN

    public static final org.snmp4j.smi.OID NLM_LOG_ENGINE_T_DOMAIN

  - ### AGENTX_CONN_TRANSPORT_DOMAIN

    public static final org.snmp4j.smi.OID AGENTX_CONN_TRANSPORT_DOMAIN

  - ### AGENTX_CONN_TRANSPORT_ADDRESS

    public static final org.snmp4j.smi.OID AGENTX_CONN_TRANSPORT_ADDRESS

  - ### INET_ADDRESS_TYPE_UNKNOWN

    public static final org.snmp4j.smi.Integer32 INET_ADDRESS_TYPE_UNKNOWN

  - ### INET_ADDRESS_TYPE_IPV4

    public static final org.snmp4j.smi.Integer32 INET_ADDRESS_TYPE_IPV4

  - ### INET_ADDRESS_TYPE_IPV6

    public static final org.snmp4j.smi.Integer32 INET_ADDRESS_TYPE_IPV6

  - ### INET_ADDRESS_TYPE_IPV4Z

    public static final org.snmp4j.smi.Integer32 INET_ADDRESS_TYPE_IPV4Z

  - ### INET_ADDRESS_TYPE_IPV6Z

    public static final org.snmp4j.smi.Integer32 INET_ADDRESS_TYPE_IPV6Z

  - ### INET_ADDRESS_TYPE_DNS

    public static final org.snmp4j.smi.Integer32 INET_ADDRESS_TYPE_DNS

  - ### IP_ADDRESS_ADDR_TYPE

    public static final org.snmp4j.smi.OID IP_ADDRESS_ADDR_TYPE

  - ### IP_ADDRESS_ADDR

    public static final org.snmp4j.smi.OID IP_ADDRESS_ADDR

  - ### IP_ADDRESS_PREFIX_TYPE

    public static final org.snmp4j.smi.OID IP_ADDRESS_PREFIX_TYPE

  - ### IP_ADDRESS_PREFIX_PREFIX

    public static final org.snmp4j.smi.OID IP_ADDRESS_PREFIX_PREFIX

  - ### IP_NET_TO_PHYSICAL_NET_ADDRESS_TYPE

    public static final org.snmp4j.smi.OID IP_NET_TO_PHYSICAL_NET_ADDRESS_TYPE

  - ### IP_NET_TO_PHYSICAL_NET_ADDRESS

    public static final org.snmp4j.smi.OID IP_NET_TO_PHYSICAL_NET_ADDRESS

  - ### IP_DEFAULT_ROUTER_ADDRESS_TYPE

    public static final org.snmp4j.smi.OID IP_DEFAULT_ROUTER_ADDRESS_TYPE

  - ### IP_DEFAULT_ROUTER_ADDRESS

    public static final org.snmp4j.smi.OID IP_DEFAULT_ROUTER_ADDRESS

  - ### TCP_CONNECTION_LOCAL_ADDRESS_TYPE

    public static final org.snmp4j.smi.OID TCP_CONNECTION_LOCAL_ADDRESS_TYPE

  - ### TCP_CONNECTION_LOCAL_ADDRESS

    public static final org.snmp4j.smi.OID TCP_CONNECTION_LOCAL_ADDRESS

  - ### TCP_CONNECTION_REM_ADDRESS_TYPE

    public static final org.snmp4j.smi.OID TCP_CONNECTION_REM_ADDRESS_TYPE

  - ### TCP_CONNECTION_REM_ADDRESS

    public static final org.snmp4j.smi.OID TCP_CONNECTION_REM_ADDRESS

  - ### TCP_LISTENER_LOCAL_ADDRESS_TYPE

    public static final org.snmp4j.smi.OID TCP_LISTENER_LOCAL_ADDRESS_TYPE

  - ### TCP_LISTENER_LOCAL_ADDRESS

    public static final org.snmp4j.smi.OID TCP_LISTENER_LOCAL_ADDRESS

  - ### UDP_ENDPOINT_LOCAL_ADDRESS_TYPE

    public static final org.snmp4j.smi.OID UDP_ENDPOINT_LOCAL_ADDRESS_TYPE

  - ### UDP_ENDPOINT_LOCAL_ADDRESS

    public static final org.snmp4j.smi.OID UDP_ENDPOINT_LOCAL_ADDRESS

  - ### UDP_ENDPOINT_REMOTE_ADDRESS_TYPE

    public static final org.snmp4j.smi.OID UDP_ENDPOINT_REMOTE_ADDRESS_TYPE

  - ### UDP_ENDPOINT_REMOTE_ADDRESS

    public static final org.snmp4j.smi.OID UDP_ENDPOINT_REMOTE_ADDRESS

  - ### INET_CIDR_ROUTE_DEST_TYPE

    public static final org.snmp4j.smi.OID INET_CIDR_ROUTE_DEST_TYPE

  - ### INET_CIDR_ROUTE_DEST

    public static final org.snmp4j.smi.OID INET_CIDR_ROUTE_DEST

  - ### INET_CIDR_ROUTE_NEXT_HOP_TYPE

    public static final org.snmp4j.smi.OID INET_CIDR_ROUTE_NEXT_HOP_TYPE

  - ### INET_CIDR_ROUTE_NEXT_HOP

    public static final org.snmp4j.smi.OID INET_CIDR_ROUTE_NEXT_HOP

- ## Constructor Details

  - ### DefaultPolymorphicVariableFormats

    public DefaultPolymorphicVariableFormats()

- ## Method Details

  - ### registerTAddress

    public void registerTAddress(org.snmp4j.smi.OID columnTypeOID, org.snmp4j.smi.OID variableTypeOID, PolymorphicVariableFormatter formatter)

  - ### snmpTargetAddrTAddress

    public void snmpTargetAddrTAddress(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable formats for the SNMP-TARGET-MIB.
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### nlmLogEngineTAddress

    public void nlmLogEngineTAddress(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable formats for the NOTIFICATION-LOG-MIB (`nlmLogEngineTDomain` / `nlmLogEngineTAddress`).
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### agentxConnTransportAddress

    public void agentxConnTransportAddress(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable formats for the AGENTX-MIB (`agentxConnTransportDomain` / `agentxConnTransportAddress`).
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### registerInetAddress

    public void registerInetAddress(org.snmp4j.smi.OID columnTypeOID, org.snmp4j.smi.OID variableTypeOID, PolymorphicVariableFormatter formatter)
    Register a pair of columnar object IDs that implement the `InetAddressType` / `InetAddress` polymorphic type relationship defined by the INET-ADDRESS-MIB (RFC 4001). The `InetAddressType` type column selects both the effective `SIZE` and the display format of the `InetAddress` value column.
    Parameters:
      `columnTypeOID` - the OID of the `InetAddressType` column (the type-defining column).
      `variableTypeOID` - the OID of the `InetAddress` column whose value is formatted according to the type column.
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### getInetAddressTypeSyntax

    public SmiSyntax getInetAddressTypeSyntax()
    Returns the `InetAddressType` textual-convention definition (RFC 4001) that describes the values of the type-defining column registered by `registerInetAddress(OID, OID, PolymorphicVariableFormatter)`.
    Returns:
      a freshly created `SmiSyntax` for the `InetAddressType` TC.

  - ### ipAddressAddr

    public void ipAddressAddr(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable format for IP-MIB (`ipAddressAddrType` / `ipAddressAddr`).
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### ipAddressPrefixPrefix

    public void ipAddressPrefixPrefix(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable format for IP-MIB (`ipAddressPrefixType` / `ipAddressPrefixPrefix`).
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### ipNetToPhysicalNetAddress

    public void ipNetToPhysicalNetAddress(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable format for IP-MIB (`ipNetToPhysicalNetAddressType` / `ipNetToPhysicalNetAddress`).
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### ipDefaultRouterAddress

    public void ipDefaultRouterAddress(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable format for IP-MIB (`ipDefaultRouterAddressType` / `ipDefaultRouterAddress`).
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### tcpConnectionLocalAddress

    public void tcpConnectionLocalAddress(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable format for TCP-MIB (`tcpConnectionLocalAddressType` / `tcpConnectionLocalAddress`).
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### tcpConnectionRemAddress

    public void tcpConnectionRemAddress(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable format for TCP-MIB (`tcpConnectionRemAddressType` / `tcpConnectionRemAddress`).
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### tcpListenerLocalAddress

    public void tcpListenerLocalAddress(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable format for TCP-MIB (`tcpListenerLocalAddressType` / `tcpListenerLocalAddress`).
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### udpEndpointLocalAddress

    public void udpEndpointLocalAddress(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable format for UDP-MIB (`udpEndpointLocalAddressType` / `udpEndpointLocalAddress`).
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### udpEndpointRemoteAddress

    public void udpEndpointRemoteAddress(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable format for UDP-MIB (`udpEndpointRemoteAddressType` / `udpEndpointRemoteAddress`).
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### inetCidrRouteDest

    public void inetCidrRouteDest(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable format for IP-FORWARD-MIB (`inetCidrRouteDestType` / `inetCidrRouteDest`).
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### inetCidrRouteNextHop

    public void inetCidrRouteNextHop(PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable format for IP-FORWARD-MIB (`inetCidrRouteNextHopType` / `inetCidrRouteNextHop`).
    Parameters:
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### registerPolymorphicVariableFormatsForMIB

    public void registerPolymorphicVariableFormatsForMIB(String module, PolymorphicVariableFormatter formatter)
    Register the default polymorphic variable formats for a given MIB module.
    Parameters:
      `module` - the MIB module name.
      `formatter` - the polymorphic variable formatter to register the formats with.

  - ### registerFormatter

    public boolean registerFormatter(String module, PolymorphicVariableFormatter formatter)
    Description copied from interface: `PolymorphicVariableFormatterFactory`
    Register the polymorphic variable formatter for a specific MIB module.
    Specified by:
      `registerFormatter` in interface `PolymorphicVariableFormatterFactory`
    Parameters:
      `module` - the MIB module name.
      `formatter` - the polymorphic variable formatter.
    Returns:
      true if the formatter was successfully registered, false otherwise.

  - ### unregisterFormatter

    public boolean unregisterFormatter(String module, PolymorphicVariableFormatter formatter)
    Description copied from interface: `PolymorphicVariableFormatterFactory`
    Unregister the polymorphic variable formatter for a specific MIB module.
    Specified by:
      `unregisterFormatter` in interface `PolymorphicVariableFormatterFactory`
    Parameters:
      `module` - the MIB module name.
      `formatter` - the polymorphic variable formatter.
    Returns:
      true if the formatter was successfully unregistered, false otherwise.